Comprehensive data protection for all workloads
Post Reply
sigurross
Influencer
Posts: 12
Liked: never
Joined: Jan 21, 2011 5:01 pm
Contact:

veeam 4.1.1 to 5.0.1 Upgrade CPU Requirements

Post by sigurross » Mar 16, 2011 6:10 pm

I have a dual core xeon 5130 2.0 ghz yet I get this message during install:

Image

The v5 release notes state a "recommended requirement" for CPU yet no "minimum requirement".

Can't seem to get a straight answer out of support if I should proceed or not.

Anybody else out there running v5 with a single dualcore processor? Just need to know if running under the recommended CPU requirements is going yield bad performance or not.

Any insight would be appreciated.

Thanks.

- Jason

Gostev
SVP, Product Management
Posts: 24431
Liked: 3405 times
Joined: Jan 01, 2006 1:01 am
Location: Baar, Switzerland
Contact:

Re: veeam 4.1.1 to 5.0.1 Upgrade CPU Requirements

Post by Gostev » Mar 16, 2011 6:28 pm

Hi Jason, generally speaking you can run Veeam on any x86 CPU at all.

In case with weaker CPU (below "recommended requirement") CPU will be your primary bottleneck, resulting in low backup performance and thus directly affecting your backup window. You can "workaround" this by changing the default job compression level to Low (specifically optimized for low CPU usage), however this will increase your backup size significantly (and storage is way more expensive than CPU these days, so really bad trade off this is).

Ideally, you want at least single modern CPU with 4 cores, this typically provides enough horsepower to handle full backup pass for a single backup job with default (optimal) settings without being the bottleneck. And if you want to run multiple parallel jobs and/or using Best compression level, then you need to be looking at processors with more cores, or multi-CPU servers.

Also note that while we added this message box in setup, actual backup engine, or system requirements did not really change from v4 to v5. This was the recommended requirement for v4 as well. So, if you were happy with v4 performance, then do not expect any changes here - just go ahead and upgrade. Consider postponing upgrade for about 10 days though, since 5.0.2 is almost out of the door, so you will save yourself some time if you skip 5.0.1 and go straight to this new release.

Does this answer your question?

sigurross
Influencer
Posts: 12
Liked: never
Joined: Jan 21, 2011 5:01 pm
Contact:

Re: veeam 4.1.1 to 5.0.1 Upgrade CPU Requirements

Post by sigurross » Mar 16, 2011 6:42 pm

Gostev

I should have included in my original post that it is a single dual-core x64 2.0 GHz processor.

And yes, this does answer my question.

We are happy with the performance of our current v4 setup. So, if you are confident it will perform just as good with v5 then I see no reason not to proceed.

Our jobs are currently set to "optimal" compression level. Just out of curiosity does that adjust the compression level dynamically to match the systems capability?

Anyway, thank you for your response. It was much more informative and faster then going through regular support. (ha, still waiting for a response from them)

Thanks again.

- Jason

Gostev
SVP, Product Management
Posts: 24431
Liked: 3405 times
Joined: Jan 01, 2006 1:01 am
Location: Baar, Switzerland
Contact:

Re: veeam 4.1.1 to 5.0.1 Upgrade CPU Requirements

Post by Gostev » Mar 16, 2011 6:52 pm

Yes, I am confident as the engine did not change between v4 and v5. Yes, you can adjust compression dynamically, newly written blocks will be compressed differently.

Support response times depend on issue severity level, and this one is lowest... so don't blame them for this ;) plus, questions like these definitely suit the forum better. Support is really good at troubleshooting issues and errors (something myself and my team cannot help with), but when you have architecture or design question, it is best to ask here and get the info straight from the ultimate source ;)

Thanks.

sigurross
Influencer
Posts: 12
Liked: never
Joined: Jan 21, 2011 5:01 pm
Contact:

Re: veeam 4.1.1 to 5.0.1 Upgrade CPU Requirements

Post by sigurross » Mar 16, 2011 7:08 pm

I'll keep that in mind for next time I have a question of this nature.

I'll definitely talk to support if the upgrade goes terribly wrong! wish me luck.

Thanks.

- Jason

Gostev
SVP, Product Management
Posts: 24431
Liked: 3405 times
Joined: Jan 01, 2006 1:01 am
Location: Baar, Switzerland
Contact:

Re: veeam 4.1.1 to 5.0.1 Upgrade CPU Requirements

Post by Gostev » Mar 16, 2011 7:23 pm

Your upgrade will be flawless. We did not have a single major v5 upgrade issue reported for six months now. In fact, you are arguably one of the last to upgrade hehe... about time, we are half-way through v6 release cycle already ;)

Post Reply

Who is online

Users browsing this forum: Bing [Bot], Google [Bot] and 55 guests